@echo off

REM Build commands for MSVC 5.0 SP 3. /Ox enables maximum optimizations,
REM including inlining. (Note that /Ox is known to be buggy, but it shouldn't
REM affect this program's correctness.)

if exist test.out del test.out
if exist test.obj del test.obj
if exist test.exe del test.exe
if exist test.map del test.map
if exist test.pdb del test.pdb

if %1.==. goto NORMAL

echo.
echo.                             -- DEBUG build --
echo.
cl /Zi /Yd /c /Od /Iu:\inc /GX /MD test.cpp
if not ERRORLEVEL 1 cl test.obj /link /out:test.exe /DEBUG /MAP:test.map /PDB:test.pdb
goto END

:NORMAL
cl /c /Ox /Iu:\inc /GX /MD test.cpp
if not ERRORLEVEL 1 cl test.obj /link /out:test.exe

:END
if ERRORLEVEL 0 goto EXIT
echo.
echo.                            ****** ERROR ******
echo.

:EXIT
